Skip to main content
GET
Get all payouts

Authorizations

Authorization
string
header
required

Your affiliate API key (Profile → API & AI tools in the affiliate dashboard), sent as Authorization: Bearer {api_key}

Headers

Account-ID
string
required

Account ID of the affiliate program, shown next to your API key under Profile → API & AI tools

Example:

"acc_123456"

Query Parameters

q
string

Search params. Searches by 'promoter.profile.first_name, promoter.profile.last_name, promoter.user.email`

filters[status]
enum<string>

Status filter

Available options:
pending,
completed,
failed,
processing,
cancelled
filters[campaign_id]

Campaign ids filter

filters[payments_batch_id]

Payment batches ids filter

filters[due_period]
enum<string>

Due period filter

Available options:
next,
overdue,
custom
filters[period_start]
string<date>

Period start filter. Send "not_set" for returning the ones with period_start == null

filters[period_end]
string<date>

Period end filter. Send "not_set" for returning the ones with period_end == null

filters[payout_method]
enum<string>

Payout method filter

Available options:
paypal,
bank,
wise,
crypto,
custom,
dots,
not_set
filters[group_ref]
string

Group ref filter

Response

List of payouts

data
object[]
meta
object